Package uk.me.nxg.unity

# Enum Class Dimensions.BaseQuantity

java.lang.Object
java.lang.Enum<Dimensions.BaseQuantity>
uk.me.nxg.unity.Dimensions.BaseQuantity

All Implemented Interfaces:
  `Serializable`, `Comparable<Dimensions.BaseQuantity>`, `Constable`

Enclosing class:
  `Dimensions`

public static enum Dimensions.BaseQuantity extends Enum<Dimensions.BaseQuantity>
The base quantities in the International System of Quantites. See ISO 80000-1:2009.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`AMOUNT`
`CURRENT`
`LENGTH`
`LUMINOUSINTENSITY`
`MASS`
`TEMPERATURE`
`TIME`

## Method Summary

Modifier and Type
Method
Description
`static Dimensions.BaseQuantity`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Dimensions.BaseQuantity[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### LENGTH

public static final Dimensions.BaseQuantity LENGTH

### MASS

public static final Dimensions.BaseQuantity MASS

### TIME

public static final Dimensions.BaseQuantity TIME

### CURRENT

public static final Dimensions.BaseQuantity CURRENT

### TEMPERATURE

public static final Dimensions.BaseQuantity TEMPERATURE

### AMOUNT

public static final Dimensions.BaseQuantity AMOUNT

### LUMINOUSINTENSITY

public static final Dimensions.BaseQuantity LUMINOUSINTENSITY

## Method Details

### values

public static Dimensions.BaseQuantity[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static Dimensions.BaseQuantity valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null